Loading...
Searching...
No Matches
svn_wc_conflict_description_t Struct Reference
Working copy management » Conflict callback functionality

Similar to svn_wc_conflict_description2_t, but with relative paths and adm_access batons. More...

`#include <svn_wc.h>`

## Data Fields

const char * | path
| The path that is in conflict (for a tree conflict, it is the victim).
svn_node_kind_t | node_kind
| The local node type of the path being operated on (for a tree conflict, this specifies the local node kind, which may be (and typically is) different than the left and right kind).
svn_wc_conflict_kind_t | kind
| What sort of conflict are we describing?
const char * | property_name
| The name of the property whose conflict is being described.
svn_boolean_t | is_binary
| Whether svn thinks ('my' version of) `path` is a 'binary' file.
const char * | mime_type
| The svn:mime-type property of ('my' version of) `path`, if available, else NULL.
svn_wc_adm_access_t * | access
| If not NULL, an open working copy access baton to either the path itself (if `path` is a directory), or to the parent directory (if `path` is a file.) For a tree conflict, this will always be an access baton to the parent directory of the path, even if the path is a directory.
svn_wc_conflict_action_t | action
| The action being attempted on the conflicted node or property.
svn_wc_conflict_reason_t | reason
| The state of the target node or property, relative to its merge-left source, that is the reason for the conflict.
const char * | base_file
| If this is text-conflict and involves the merging of two files descended from a common ancestor, here are the paths of up to four fulltext files that can be used to interactively resolve the conflict.
const char * | their_file
| their version of the file
const char * | my_file
| my locally-edited version of the file
const char * | merged_file
| merged version; may contain conflict markers
svn_wc_operation_t | operation
| The operation that exposed the conflict.
svn_wc_conflict_version_t * | src_left_version
| Info on the "merge-left source" or "older" version of incoming change.
svn_wc_conflict_version_t * | src_right_version
| Info on the "merge-right source" or "their" version of incoming change.

## Detailed Description

Similar to svn_wc_conflict_description2_t, but with relative paths and adm_access batons.

Passed to svn_wc_conflict_resolver_func_t.

Since
  New in 1.5.

Deprecated
  Provided for backward compatibility with the 1.6 API.

Definition at line 1939 of file svn_wc.h.

## Field Documentation

## access

svn_wc_adm_access_t* svn_wc_conflict_description_t::access

If not NULL, an open working copy access baton to either the path itself (if `path` is a directory), or to the parent directory (if `path` is a file.) For a tree conflict, this will always be an access baton to the parent directory of the path, even if the path is a directory.

Definition at line 1971 of file svn_wc.h.

## action

svn_wc_conflict_action_t svn_wc_conflict_description_t::action

The action being attempted on the conflicted node or property.

(When `kind` is 'text', this action must be 'edit'.)

Definition at line 1975 of file svn_wc.h.

## base_file

const char* svn_wc_conflict_description_t::base_file

If this is text-conflict and involves the merging of two files descended from a common ancestor, here are the paths of up to four fulltext files that can be used to interactively resolve the conflict.

All four files will be in repository-normal form – LF line endings and contracted keywords. (If any of these files are not available, they default to NULL.)

On the other hand, if this is a property-conflict, then these paths represent temporary files that contain the three different property-values in conflict. The fourth path (`merged_file`) may or may not be NULL; if set, it represents libsvn_wc's attempt to merge the property values together. (Remember that property values are technically binary values, and thus can't always be merged.)

Definition at line 1997 of file svn_wc.h.

## is_binary

svn_boolean_t svn_wc_conflict_description_t::is_binary

Whether svn thinks ('my' version of) `path` is a 'binary' file.

(Only if `kind` is 'text', else undefined.)

Definition at line 1958 of file svn_wc.h.

## kind

svn_wc_conflict_kind_t svn_wc_conflict_description_t::kind

What sort of conflict are we describing?

Definition at line 1950 of file svn_wc.h.

## merged_file

const char* svn_wc_conflict_description_t::merged_file

merged version; may contain conflict markers

Definition at line 2006 of file svn_wc.h.

## mime_type

const char* svn_wc_conflict_description_t::mime_type

The svn:mime-type property of ('my' version of) `path`, if available, else NULL.

(Only if `kind` is 'text', else undefined.)

Definition at line 1963 of file svn_wc.h.

## my_file

const char* svn_wc_conflict_description_t::my_file

my locally-edited version of the file

Definition at line 2003 of file svn_wc.h.

## node_kind

svn_node_kind_t svn_wc_conflict_description_t::node_kind

The local node type of the path being operated on (for a tree conflict, this specifies the local node kind, which may be (and typically is) different than the left and right kind).

Definition at line 1947 of file svn_wc.h.

## operation

svn_wc_operation_t svn_wc_conflict_description_t::operation

The operation that exposed the conflict.

Used only for tree conflicts.

Since
  New in 1.6.

Definition at line 2013 of file svn_wc.h.

## path

const char* svn_wc_conflict_description_t::path

The path that is in conflict (for a tree conflict, it is the victim).

Definition at line 1942 of file svn_wc.h.

## property_name

const char* svn_wc_conflict_description_t::property_name

The name of the property whose conflict is being described.

(Only if kind is 'property'; else undefined.)

Definition at line 1954 of file svn_wc.h.

## reason

svn_wc_conflict_reason_t svn_wc_conflict_description_t::reason

The state of the target node or property, relative to its merge-left source, that is the reason for the conflict.

(When `kind` is 'text', this reason must be 'edited'.)

Definition at line 1980 of file svn_wc.h.

## src_left_version

svn_wc_conflict_version_t* svn_wc_conflict_description_t::src_left_version

Info on the "merge-left source" or "older" version of incoming change.

Since
  New in 1.6.

Definition at line 2017 of file svn_wc.h.

## src_right_version

svn_wc_conflict_version_t* svn_wc_conflict_description_t::src_right_version

Info on the "merge-right source" or "their" version of incoming change.

Since
  New in 1.6.

Definition at line 2021 of file svn_wc.h.

## their_file

const char* svn_wc_conflict_description_t::their_file

their version of the file

Definition at line 2000 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h